---------------------
PatchSet 896 
Date: 2003/08/19 18:51:58
Author: serassio
Branch: nt
Tag: (none) 
Log:
Added MSVC++ .NET support in source code

Members: 
	port/win32/include/squid-mswin.h:1.3.18.9->1.3.18.10 
	src/debug.cc:1.6.2.9->1.6.2.10 

Index: squid3/port/win32/include/squid-mswin.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/include/Attic/squid-mswin.h,v
retrieving revision 1.3.18.9
retrieving revision 1.3.18.10
diff -u -r1.3.18.9 -r1.3.18.10
--- squid3/port/win32/include/squid-mswin.h	18 Aug 2003 15:51:34 -0000	1.3.18.9
+++ squid3/port/win32/include/squid-mswin.h	19 Aug 2003 18:51:58 -0000	1.3.18.10
@@ -1,5 +1,5 @@
 /*
- * $Id: squid-mswin.h,v 1.3.18.9 2003/08/18 15:51:34 serassio Exp $
+ * $Id: squid-mswin.h,v 1.3.18.10 2003/08/19 18:51:58 serassio Exp $
  *
  * AUTHOR: Guido Serassio & Andrey Shorin
  *
@@ -33,6 +33,9 @@
 
 #define ACL WindowsACL
 #if defined(_MSC_VER) /* Microsoft C Compiler ONLY */
+#if _MSC_VER == 1300
+#pragma warning( disable : 4290 )
+#endif
 
 typedef char int8_t;
 typedef unsigned char uint8_t;
Index: squid3/src/debug.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/debug.cc,v
retrieving revision 1.6.2.9
retrieving revision 1.6.2.10
diff -u -r1.6.2.9 -r1.6.2.10
--- squid3/src/debug.cc	18 Aug 2003 16:01:02 -0000	1.6.2.9
+++ squid3/src/debug.cc	19 Aug 2003 18:52:00 -0000	1.6.2.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: debug.cc,v 1.6.2.9 2003/08/18 16:01:02 serassio Exp $
+ * $Id: debug.cc,v 1.6.2.10 2003/08/19 18:52:00 serassio Exp $
  *
  * DEBUG: section 0     Debug Routines
  * AUTHOR: Harvest Derived
@@ -37,11 +37,18 @@
 #include "Debug.h"
 #include <sstream>
 
+#ifdef _MSC_VER /* Work around for a LNK2001 error */
 #if _MSC_VER == 1200  /* Microsoft Visual C++ 6.0 ONLY */
 namespace std {
 const fpos_t _Fpz = {0};
 }
 #endif
+#if _MSC_VER == 1300  /* Microsoft Visual C++ 7.0 ONLY */
+namespace std {
+fpos_t _Fpz = {0};
+}
+#endif
+#endif /* _MSC_VER */
 
 int Debug::Levels[MAX_DEBUG_SECTIONS];
 int Debug::level;
